2022.7: A stunning performance

Hi, it seems the image is missing in the Hardware information page:

I think it would nice to have it back. Thank you. Regards, Luis Sismeiro

Speedtest wasn’t showing it me either after the upgrade to 202.7.4…a second reboot returned it so didn’t have to remove and reinstall.
(just in case it helps anyone else)

1 Like

I just use watchtower now to redeploy the new version each time - advises me by telegram or gotify - redeploys gracefully - debugs and rollsback if any errors occur. polls every 12 hours.
For all of my containers now on proxmox.

I did the upgrade to 2022.7.4 and all went well. I have a T7900 and a T2000.

Install Watchman and it will find them for you. It’s in HACS.

1 Like

After 2022.7.4 upgrade I could no longer control any Z-Wave switches (HUSBZB-1). Tried restarting HASS, rebooting the host. No luck. Reverted to 2022.7.3 and everything started working again. I saw no messages in the logs, but I don’t have Z-Wave debugging turned on. Wonder if it was just me? Should I try again, or is there a known issue?

P.S. It’s worth noting that when I tried to do a partial restore (core only) from a full backup with 2022.7.3 in it the system came up and everything looked okay but my /config folder was MIA. I ended up doing a full restore and everything looked fine.

2022.7.4
Cannot create a simple template sensor:

template:
  - sensor:
      - name: testing_123
        state: "123"

What is going on?
Restart HA does not help.
No any corresponding messages in a Log.

Also I cannot create a simple “input_boolean”:

input_boolean:
  testing_boolean:

Update: found a reason.
I specified a sensor & input_boolean in a “test.yaml” file.
The file was located in some subfolder like “network/tracker/composite”.
But - I also had a “test.yaml” file in a different location.
So the 2nd “test.yaml” file was just ignored w/o any error messages.

Thanks mate. I have used that before. Totally forgot about it. :man_facepalming:

Hi HA family,

I have had no issues with updates for years. However now trying to move from 2022.6.7 to that 2022.7 and get these errors.

The error from logs is:

  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 411, in async_install_with_progress
    await self.async_install(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 301, in async_install
    raise HomeAssistantError(
homeassistant.exceptions.HomeAssistantError: Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy

My setup is :

Version core-2022.6.7
Installation Type Home Assistant Supervised
Development false
Supervisor true
Docker true
User root
Virtual Environment false
Python Version 3.9.12
Operating System Family Linux
Operating System Version 5.4.0-113-generic
CPU Architecture x86_64
Timezone Australia/Sydney

Home Assistant Supervisor

Host Operating System
Update Channel stable
Supervisor Version supervisor-2022.07.0
Agent Version
Docker Version 20.10.17
Disk Total 101.7 GB
Disk Used 69.0 GB
Healthy Unhealthy

Any assistance would be appreciated so I can update.
Thank you.

You need to set HA to ignore the unhealthy condition (or fix it) What does more info show? Why is it unhealthy?

This command:

ha jobs options --ignore-conditions healthy

Will make it ignore unhealthy but if possible fix it. In my case I’m already unsupported as I run other docker containers on the host so I thought screw it I’ll start using watchtower again to keep them up-to-date so I was unhealthy as well. But everything working perfecthealthy not causing any problems.

Hi @DavidFW1960 ,
Firstly, I need to thank you for your posts and config on BOM weather. Was a massive help getting me up and running. Champion.

What the detailed logs give me (forgive me, some of what is says is way over my understanding):

Logger: homeassistant.components.websocket_api.http.connection
Source: components/hassio/update.py:301
Integration: Home Assistant WebSocket API (documentation, issues)
First occurred: July 8, 2022 at 4:18:34 PM (17 occurrences)
Last logged: 10:34:49 AM

[140174564369840] Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy
[140174563626528] Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy
[140174648281600] Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy
[140174564733424] Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy
[140174763924832] Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 299, in async_install
    await async_update_core(self.hass, version=version, backup=backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/handler.py", line 47, in _wrapper
    raise HassioAPIError(data["message"])
homeassistant.components.hassio.handler.HassioAPIError: 'HomeAssistantCore.update' blocked from execution, system is not healthy

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 193, in handle_call_service
    await hass.services.async_call(
  File "/usr/src/homeassistant/homeassistant/core.py", line 1704, in async_call
    task.result()
  File "/usr/src/homeassistant/homeassistant/core.py", line 1741, in _execute_service
    await cast(Callable[[ServiceCall], Awaitable[None]], handler.job.target)(
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 204, in handle_service
    await service.entity_service_call(
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 680, in entity_service_call
    future.result()  # pop exception if have
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 964, in async_request_call
    await coro
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 717, in _handle_entity_call
    await result
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 152, in async_install
    await entity.async_install_with_progress(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 411, in async_install_with_progress
    await self.async_install(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 301, in async_install
    raise HomeAssistantError(
homeassistant.exceptions.HomeAssistantError: Error updating Home Assistant Core 'HomeAssistantCore.update' blocked from execution, system is not healthy

Does that give any clear clues as to the culprit?
Otherwise, I might try that ignore setting.

Thank you again.

At the top of system health you will see this:
image
Click Learn More and you might get a hint.
Mine says
image
The supervisor log shows

22-07-15 10:56:28 INFO (MainThread) [supervisor.resolution.evaluate] Starting system evaluation with state CoreState.RUNNING
22-07-15 10:56:28 ERROR (MainThread) [supervisor.resolution.evaluations.container] Found image in unhealthy image list 'v2tec/watchtower' on the host
22-07-15 10:56:28 INFO (MainThread) [supervisor.resolution.evaluate] System evaluation complete
22-07-15 10:56:28 CRITICAL (MainThread) [supervisor.jobs] The following job conditions are ignored and will make the system unstable when they occur: {<JobCondition.HEALTHY: 'healthy'>}

I have the following:

image

22-07-15 09:43:07 INFO (MainThread) [supervisor.updater] Fetching update data from https://version.home-assistant.io/stable.json

22-07-15 09:47:50 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 09:52:52 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 09:57:54 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:02:56 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:07:58 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:11:15 INFO (MainThread) [supervisor.homeassistant.api] Updated Home Assistant API token
22-07-15 10:13:00 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:18:02 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:19:21 WARNING (MainThread) [supervisor.jobs] 'HomeAssistantCore.update' blocked from execution, system is not healthy
22-07-15 10:23:04 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:28:06 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:30:17 WARNING (MainThread) [supervisor.jobs] 'HomeAssistantCore.update' blocked from execution, system is not healthy
22-07-15 10:33:08 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

22-07-15 10:34:49 WARNING (MainThread) [supervisor.jobs] 'HomeAssistantCore.update' blocked from execution, system is not healthy
22-07-15 10:38:10 WARNING (MainThread) [supervisor.addons.options] Option 'vnc_password' does not exist in the schema for deCONZ (core_deconz)

I’m today old (thanks to you) for learning there is a supervisor log section.

From this, i’m lead to believe there is something in the deconz vnc password. ill have to look into that a bit more what has happened.

You concur on that path?
Thanks mate

What do you see if you click on privileged?

Brings me to here:

“The Supervisor needs to have privileged access to the docker runtime on your host to be able to do everything it needs to do.”

Im running on:

System: Host: automationhub Kernel: 5.4.0-113-generic x86_64 bits: 64 compiler: gcc v: 7.5.0
Desktop: MATE 1.22.2 wm: marco dm: LightDM Distro: Linux Mint 19.3 Tricia
base: Ubuntu 18.04 bionic
Machine: Type: Desktop System: Intel Client Systems product: NUC7i3DNKE v: J57829-510
serial: Chassis: Intel Corporation type: 3 v: 2 serial:
Mobo: Intel model: NUC7i3DNB v: J57625-510 serial: UEFI [Legacy]: Intel
v: DNKBLi30.86A.0056.2018.1003.1513 date: 10/03/2018

I’ve done -apt update and upgrade many times over. There is nothing left to update on the host.

Thanks

Hmm. So you need to run the container in privileged mode?

Not sure how you would do this given it’s a supervised installation. That should be automatic when you installed. Do you have the HA agent installed? Have you tried running the installation script/package again?

Also see this thread

Seems they also say re-run installation

Inevitably this will bring problems as supervised is only supported on debian 11.

True but supported is a moving target these days becoming increasingly narrow all the time. I stopped chasing it a long time ago.

Hi guys,

Reading through the thread @DavidFW1960 shared.

I did “sudo docker restart hassio_supervisor” on host terminal, went back to HA and attempted update which it did successfully.

I have NOT restarted host or HA and now have a Healthy supervisor and updated to the latest.

image

From the convo, I take it not to always expect this outcome, but for a reason (of which I do not know), simply restarting hassio_supervisor and then updating via HA GUI did the trick.

Thank you for your responses, support, and feedback. I learned some new things today.

Much appreciated.

2022.7.5 is out, but the the release note is missing. :frowning: